
[data-size~="full"]{
	width:100%;
	height:100%;
}
[data-size~="fullvp"]{
	width:100vw;
	height:100vh;
}
[data-size~="auto"]{
	width:auto;
	height:auto;
}


/* heights */
[data-size~="h-fullvp"]{ width:100vh; }
[data-size~="h-full"]  { height:100%; }
[data-size~="h-full/1.5"]{ height:calc( 100% / 2 ); }
[data-size~="h-full/2"]{ height:calc( 100% / 2 ); }
[data-size~="h-full/3"]{ height:calc( 100% / 3 ); }
[data-size~="h-full/4"]{ height:calc( 100% / 4 ); }
[data-size~="h-full/5"]{ height:calc( 100% / 5 ); }
[data-size~="h-full/6"]{ height:calc( 100% / 6 ); }
[data-size~="h-auto"]  { height:100%; }


/* widths */
[data-size~="w-fullvp"]{ width:100vw; }
[data-size~="w-full"]  { width:100%; }
[data-size~="w-full/1.5"]{ width:calc( 100% / 1.5 ); }
[data-size~="w-full/2"]{ width:calc( 100% / 2 ); }
[data-size~="w-full/3"]{ width:calc( 100% / 3 ); }
[data-size~="w-full/4"]{ width:calc( 100% / 4 ); }
[data-size~="w-full/5"]{ width:calc( 100% / 5 ); }
[data-size~="w-full/6"]{ width:calc( 100% / 6 ); }
[data-size~="w-auto"]  { width:auto; }


/* text-widths */
[data-size~="w-text"]{
	width:100%;
	max-width:80rem;
}

